Bug 995937 - CLI: Env/org name and Label needs to have same character limit. Creating an env/org name with more that 128 characters throws an incorrect error string.
CLI: Env/org name and Label needs to have same character limit. Creating an e...
Status: CLOSED NOTABUG
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
Og Maciel
: Triaged
Depends On: 987670
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-12 00:08 EDT by sthirugn@redhat.com
Modified: 2014-04-23 10:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 987670
Environment:
Last Closed: 2014-04-23 10:25:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 3 Mike McCune 2013-10-17 17:03:31 EDT
Moving this to be tested during MDP3, not critical for MDP2 success story
Comment 4 Og Maciel 2014-04-23 10:25:10 EDT
This is no longer valid as the limit of 128 characters doesn't seem to apply anymore.

[root@cloud-qe-8 ~]# hammer organization create --name FirstOrg
Organization created

[root@cloud-qe-8 ~]# hammer lifecycle-environment create --organization-id FirstOrg --name "012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789abcdefghi" --prior "Library"
Environment created
[root@cloud-qe-8 ~]# hammer organization info --id FirstOrg
Id:          4
Name:        FirstOrg
Created at:  2014/04/23 14:19:01
Updated at:  2014/04/23 14:20:30
Label:       FirstOrg
Description:


[root@cloud-qe-8 ~]# hammer lifecycle-environment list --organization-id FirstOrg
---|----------------------------------------------------------------------------------|---------------
ID | NAME                                                                             | PRIOR
---|----------------------------------------------------------------------------------|---------------
4  | 01234567890123456789012345678901234567890123456789012345678901234567890123456... | nameLibraryid3
3  | Library                                                                          |
---|----------------------------------------------------------------------------------|---------------
[root@cloud-qe-8 ~]# hammer lifecycle-environment info --id 4
ID:                          4
Name:                        012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789abcdefghi
Label:                       df7afd7b-b26c-4475-8368-5953548a3ee3
Description:
Organization:                FirstOrg
Library:                     false
Prior Lifecycle Environment: nameLibraryid3

Environment:

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.7-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.7-1.el6_5.noarch
* candlepin-tomcat6-0.9.7-1.el6_5.noarch
* elasticsearch-0.90.10-4.el6sat.noarch
* foreman-1.5.0.19-1.el6sat.noarch
* foreman-compute-1.5.0.19-1.el6sat.noarch
* foreman-libvirt-1.5.0.19-1.el6sat.noarch
* foreman-postgresql-1.5.0.19-1.el6sat.noarch
* foreman-proxy-1.5.6-1.el6sat.noarch
* foreman-selinux-1.5.0-0.develop.el6sat.noarch
* katello-1.5.0-19.el6sat.noarch
* katello-apache-1.0-1.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.5-1.el6sat.noarch
* katello-installer-0.0.34-1.el6sat.noarch
* openldap-2.4.23-32.el6_4.1.x86_64
* pulp-katello-plugins-0.2-1.el6sat.noarch
* pulp-nodes-common-2.3.1-0.4.beta.el6sat.noarch
* pulp-nodes-parent-2.3.1-0.4.beta.el6sat.noarch
* pulp-puppet-plugins-2.3.1-0.4.beta.el6sat.noarch
* pulp-rpm-plugins-2.3.1-0.4.beta.el6sat.noarch
* pulp-selinux-2.3.1-0.4.beta.el6sat.noarch
* pulp-server-2.3.1-0.4.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.0.8-1.el6sat.noarch
* rubygem-hammer_cli-0.1.0-7.el6sat.noarch
* rubygem-hammer_cli_foreman-0.1.0-6.el6sat.noarch
* rubygem-hammer_cli_foreman_tasks-0.0.2-2.el6sat.noarch
* rubygem-hammer_cli_katello-0.0.3-16.el6sat.noarch

Note You need to log in before you can comment on or make changes to this bug.